| DocBook: The Definitive Guide 2.0.17 (Alpha)

# variablelist

$Revision$

$Date$

variablelist — A list in which each entry is composed of a set of one or more terms and an associated description

## Synopsis

### Content Model

    variablelist ::=
    (blockinfo?,
     (title,titleabbrev?)?,
     (caution|important|note|tip|warning|literallayout|programlisting|
      programlistingco|screen|screenco|screenshot|synopsis|
      cmdsynopsis|funcsynopsis|classsynopsis|fieldsynopsis|
      constructorsynopsis|destructorsynopsis|methodsynopsis|
      formalpara|para|simpara|address|blockquote|graphic|graphicco|
      mediaobject|mediaobjectco|informalequation|informalexample|
      informalfigure|informaltable|anchor|bridgehead|remark|
      highlights|abstract|authorblurb|epigraph|indexterm|beginpage)*,
     varlistentry+)

### Attributes

Common attributes

Name | Type | Default
termlength | CDATA | None

spacing

Enumeration:
compact
normal

None

## Description

A `VariableList` is a list consisting of `Term`s and their definitions or descriptions.

### Processing expectations

Formatted as a displayed block.

There are many ways to deal with the problems presented in formatting a variable list with long `Term`s. DocBook does not mandate any particular presentation. The `TermLength` attribute may influence the presentation of `Term`s.

### Future Changes

Introductory material may appear before the first list item.

### Parents

These elements contain variablelist: `answer`, `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `caption`, `caution`, `chapter`, `colophon`, `constraintdef`, `dedication`, `entry`, `example`, `footnote`, `glossary`, `glossdef`, `glossdiv`, `highlights`, `important`, `index`, `indexdiv`, `informalexample`, `legalnotice`, `listitem`, `msgexplan`, `msgtext`, `note`, `para`, `partintro`, `preface`, `procedure`, `qandadiv`, `qandaset`, `question`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `revdescription`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `sidebar`, `simplesect`, `step`, `taskprerequisites`, `taskrelated`, `tasksummary`, `td`, `textobject`, `th`, `tip`, `warning`.

### Children

The following elements occur in variablelist: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `blockinfo`, `blockquote`, `bridgehead`, `caution`, `classsynopsis`, `cmdsynopsis`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `fieldsynopsis`, `formalpara`, `funcsynopsis`, `graphic`, `graphicco`, `highlights`, `important`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `note`, `para`, `programlisting`, `programlistingco`, `remark`, `screen`, `screenco`, `screenshot`, `simpara`, `synopsis`, `tip`, `title`, `titleabbrev`, `varlistentry`, `warning`.

## Attributes

termlength

  `TermLength` indicates a length beyond which the presentation engine may consider the `Term`(s) too long and select an alternate presentation of the `Term`(s) and/or, the associated `ListItem`.

## See Also

`calloutlist`, `itemizedlist`, `listitem`, `orderedlist`, `segmentedlist`, `simplelist`.

## Examples

    <!DOCTYPE variablelist PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <variablelist><title>Font Filename Extensions</title>
    <varlistentry><term><filename>TTF</filename></term>
    <listitem>
    <para>
    TrueType fonts.
    </para>
    </listitem>
    </varlistentry>
    <varlistentry><term><filename>PFA</filename></term>
                  <term><filename>PFB</filename></term>
    <listitem>
    <para>
    PostScript fonts.  <filename>PFA</filename> files are common on
    <acronym>UNIX</acronym> systems, <filename>PFB</filename> files
    are more common on Windows systems.
    </para>
    </listitem>
    </varlistentry>
    </variablelist>

Font Filename Extensions

`TTF`

  TrueType fonts.

`PFA`, `PFB`

  PostScript fonts. `PFA` files are common on UNIX systems, `PFB` files are more common on Windows systems.

varargs |  | varlistentry

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.